<template>
	<view class="content">
		<view class="one">
			{{basicInfo.name}}
		</view>
		<view class="two">
			注册
		</view>

	</view>
</template>

<script>
	export default {
		data() {
			return {
				// 基本信息
				basicInfo: {},

			};
		},
		onLoad() {

		},
		onShow() {
			const that = this;
			that.searchBasic();
		},
		methods: {
			searchBasic() {
				const that = this;
				uni.getStorage({
					key: 'basicInfo',
					success: (res) => {
						let data = res.data
						that.$set(that, `basicInfo`, data);
					}
				})
			},

		}
	}
</script>

<style lang="scss">
	.content {
		background-color: var(--rgb000);
		padding: 0 2vw;

		.one {
			text-align: center;
			font-size: 30px;
			font-family: monospace;
			color: var(--rgbfff);
			padding: 10vw 0 10vw 0;
		}

	}
</style>
